Bug 1466323 - (CVE-2016-4383) CVE-2016-4383 openstack-glance: glance-manage db purge breaks image immutability expectation
CVE-2016-4383 openstack-glance: glance-manage db purge breaks image immutabil...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160617,repor...
: Security
Depends On: 1466324
Blocks: 1466325
  Show dependency treegraph
 
Reported: 2017-06-29 08:33 EDT by Adam Mariš
Modified: 2018-05-14 07:59 EDT (History)
22 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An immutability flaw was discovered in openstack-glance, where the glance-manage DB allows deleted image IDs to be reassigned. The flaw could be exploited to allow remote authenticated users to cause other users to boot into a malicious image without knowing it.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-15 01:26:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-06-29 08:33:06 EDT
The glance-manage db in openstack-glance allows deleted image IDs to be reassigned, which allows remote authenticated users to cause other users to boot into a modified image without notification of the change.

References:

https://bugs.launchpad.net/glance/+bug/1593799/
https://h20566.www2.hpe.com/hpsc/doc/public/display?docId=emr_na-c05273584
Comment 1 Adam Mariš 2017-06-29 08:33:39 EDT
Created openstack-glance tracking bugs for this issue:

Affects: openstack-rdo [bug 1466324]
Comment 2 Summer Long 2017-08-01 00:09:56 EDT
The OSSN is here (with mitigation): https://wiki.openstack.org/wiki/OSSN/OSSN-0075
Comment 6 Summer Long 2017-09-05 21:08:47 EDT
Mitigation:

For this flaw to be exploited, both non-admin image upload must be permitted and records of deleted IDs must have been purged from the openstack-glance 'images' database table. 
To prevent flaw exploitation:
* Do not allow non-admin users to upload images, or
* If you do permit normal users to upload images, do not purge the 'images' table. Note: It is safe to delete rows from `image_properties`, `image_tags`, `image_members`, and `image_locations` tables.
Comment 14 Andrej Nemec 2018-05-14 07:59:42 EDT
Red Hat Product Security has rated this issue as having security impact of Moderate for:
* Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7
* Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7
* Red Hat OpenStack Platform 8.0 (Liberty)
* Red Hat OpenStack Platform 9.0 (Mitaka)
* Red Hat OpenStack Platform 10.0 (Newton) 
* Red Hat OpenStack Platform 11.0 (Ocata)
* Red Hat OpenStack Platform 12.0 (Pike)

This issue is not currently planned to be addressed in future updates (see Mitigation). For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.